org.apache.solr.client.solrj.cloud.autoscaling

## Class Policy.Suggester

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Policy.Suggester

Direct Known Subclasses:
  MoveReplicaSuggester, NoneSuggester

Enclosing class:
  Policy

    public abstract static class Policy.Suggester
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Policy.Suggester.Hint`

### Field Summary

Fields
`protected EnumMap<Policy.Suggester.Hint,Object>` `hints`
`protected List<Clause.Violation>` `originalViolations`

### Constructor Summary

Constructors
Constructor and Description
`Suggester()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SolrRequest` `getOperation()`
`Policy.Session` `getSession()`
`Policy.Suggester` `hint(Policy.Suggester.Hint hint, Object value)`
`protected boolean` `isAllowed(Object v, Policy.Suggester.Hint hint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hints

    protected final EnumMap<Policy.Suggester.Hint,Object> hints

#### originalViolations

    protected List<Clause.Violation> originalViolations

### Constructor Detail

#### Suggester

    public Suggester()

### Method Detail

#### hint

    public Policy.Suggester hint(Policy.Suggester.Hint hint,
                                 Object value)

#### getOperation

    public SolrRequest getOperation()

#### getSession

    public Policy.Session getSession()

#### isAllowed

    protected boolean isAllowed(Object v,
                                Policy.Suggester.Hint hint)